# MatSNESMFCheckPositivity

Checks that all entries in U + h*a are positive or zero, decreases h until this is satisfied.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFCheckPositivity(Vec U,Vec a,PetscScalar *h,void *dummy)

Collective on Vec

### Input Parameters

| U | - base vector that is added to
| a | - vector that is added
| h | - scaling factor on a
| dummy | - context variable (unused)

### Options Database Keys

-snes_mf_check_positivity -

Notes: This is rarely used directly, rather it is passed as an argument to MatSNESMFSetCheckh()

### See Also

MatSNESMFSetCheckh()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages